## How to start

Sitecore Universal Tracker consists of three parts: Collection service, SQL and Processing service.
Each component represented by two archives:
1. *.wdp.zip - archive with web deploy package generated by MsDeploy tool
2. *.deploy.zip - archive with necessary scripts, ARM templates and guides:
    1. AzureDeploymentInfrastructure - folder with ARM templates, powershell scripts for deploying to Azure
    2. OnPremDeploymentInfrastructure - folder with scripts and necessary files for OnPrem deployment

Note:
```
Processing service is divided by application type (see details in installation guide) and presented as:
    1. Web Application (Sitecore.Tracking.Processing.Service.[ver]-[rev])
    2. Windows service (Sitecore.Tracking.Processing.WindowsService.[ver]-[rev], could only be installed OnPrem)
```

After downloading all files you need to unpack all *.deploy.zip archives to separate folders. After you need to read documentation and installation guides and configure necessary environment.

If you decided to deploy Sitecore Universal Tracker to Azure we provided a script that will manage deployment of all three parts to azure from one place.
For doing that you need to:
1. Go to
    * ``Sitecore.Tracking.Collection.Service.[ver]-[rev].deploy\AzureDeploymentInfrastructure\templates`` folder and set unique ``webAppName`` in serviceDeploy.parameters.json, set unique ``name`` for storage container in storageDeploy.parameters.json file
    * ``Sitecore.Tracking.Processing.Service.[ver]-[rev].deploy\AzureDeploymentInfrastructure\templates`` folder and set unique ``webAppName`` in serviceDeploy.parameters.json, set same unique ``name`` for storage container that you set in prev step in storageDeploy.parameters.json file

2. Open powershell console with admin rights and execute next command:

```
    .\deployAllAzure.ps1 `
    -subscriptionId [your_value] `
    -azureSecurityKey [your_value] `
    -azureClientID [your_value] `
    -azureTenantID [your_value] `
    -targetServerName [your_value for sql server] `
    -targetDatabaseName: [your_value for sql database] `
    -targetUser [your_value for admin user of sql] `
    -targetUserPassword [your_value of admin password for sql] `
    -licenseXmlPath [your_value] `
    -collectionWdpPackagePath [your_value] `
    -collectionInfrastructureDirPath [your_value path to AzureInfrastructure folder] `
    -processingWdpPackagePath [your_value] `
    -processingInfrastructureDirPath [your_value path to AzureInfrastructure folder] `
    -sourceDacFile [your_value path to unpacked Sitecore.Tracking.dacpac file ] `
    -sqlInfrastructureDirPath  [your_value path to AzureInfrastructure folder] `
```